## org.eclipse.emf.codegen.ecore.genmodel.impl
Class GenBaseImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.codegen.ecore.genmodel.impl.GenBaseImpl

All Implemented Interfaces:
  GenBase, Notifier, EObject, InternalEObject

Direct Known Subclasses:
  GenAnnotationImpl, GenClassifierImpl, GenEnumLiteralImpl, GenModelImpl, GenPackageImpl, GenTypedElementImpl, GenTypeParameterImpl

    public abstract class GenBaseImpl

extends EObjectImpl
implements GenBase

An implementation of the model object 'Gen Base'.

The following features are implemented:

- `Gen Annotations`

Nested Class Summary
`protected static interface` `GenBaseImpl.AnnotationFilter`
`protected static class` `GenBaseImpl.AnnotationFilterImpl`
`static class` `GenBaseImpl.ColorInformation` Deprecated. In EMF 2.2, this moved to `GIFEmitter`. This copy will be removed after 2.2.
`protected static class` `GenBaseImpl.EclipseUtil` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalents to the methods in this class. This class will be removed after 2.2.
`protected static class` `GenBaseImpl.GenAnnotationCopier`
`protected static interface` `GenBaseImpl.GenClassFilter`
`protected static interface` `GenBaseImpl.GenConstraintFilter`
`protected static interface` `GenBaseImpl.GenFeatureFilter`
`protected static interface` `GenBaseImpl.GenOperationFilter`
`protected static class` `GenBaseImpl.GIFEmitter` Deprecated. In EMF 2.2, this moved to `GIFEmitter`. This copy will be removed after 2.2.
`protected class` `GenBaseImpl.UniqueNameHelper`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected static GenBaseImpl.AnnotationFilter` `DEFAULT_ANNOTATION_FILTER`
`protected static URI` `EMPTY_URI` Deprecated. in EMF 2.2
`protected EList<GenAnnotation>` `genAnnotations` The cached value of the '`Gen Annotations`' containment reference list
`protected static URI` `PLATFORM_RESOURCE_URI` Deprecated. in EMF 2.2

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `GenBaseImpl()`

Method Summary

`protected

`<T> void`

`

`addNonDuplicates(java.util.Collection<T> target, java.util.Collection<? extends T> source, java.util.Set<T> noDupSet)`

`protected void` `appendAnnotationInfo(java.lang.StringBuffer result, boolean qualified, EModelElement eModelElement, GenBaseImpl.AnnotationFilter annotationFilter)`
`protected void` `appendAnnotationInfo(java.lang.StringBuffer result, EModelElement eModelElement)`
`protected void` `appendAnnotationInfo(java.lang.StringBuffer result, EModelElement eModelElement, GenBaseImpl.AnnotationFilter annotationFilter)`
`protected void` `appendLineBreak(java.lang.StringBuffer result)`
`protected void` `appendModelSetting(java.lang.StringBuffer result, java.lang.String name, java.lang.String value)`
`protected void` `appendModelSetting(java.lang.StringBuffer result, java.lang.String qualifier, java.lang.String name, java.lang.String value)`
`boolean` `canGenerate()`
`boolean` `canGenerateEdit()`
`boolean` `canGenerateEditor()`
`boolean` `canGenerateSchema()` Deprecated. In EMF 2.2, schema generation is properly done via a model exporter. This method will be removed after 2.2.
`boolean` `canGenerateTests()`
`java.lang.String` `capName(java.lang.String name)`
`protected java.util.List<GenClass>` `collectGenClasses(java.util.List<EClass> eClasses, GenBaseImpl.GenClassFilter filter)` Iterate over the specified eClasses list, finding the GenClass corresponding to each EClass.
`protected java.util.List<java.lang.String>` `collectGenConstraints(java.util.List<? extends GenClassifier> genClassifiers, java.util.List<java.lang.String> genConstraints, GenBaseImpl.GenConstraintFilter filter)` Iterate over the lists returned by calling getGenConstraints() on items in the list of genClassifiers, and then over the list of genConstraints.
`protected java.util.List<GenFeature>` `collectGenFeatures(java.util.List<GenClass> genClasses, java.util.List<GenFeature> genFeatures, GenBaseImpl.GenFeatureFilter filter)` Iterate over the lists returned by calling getGenFeatures() on items in the list of genClasses, and then over the list of genFeatures.
`protected java.util.List<GenOperation>` `collectGenOperations(GenClass context, java.util.List<GenClass> genClasses, java.util.List<GenOperation> genOperations, GenBaseImpl.GenOperationFilter filter)` Iterate over the lists returned by calling getGenOperations() on items in the list of genClasses, and then over the list of genOperations.
`java.io.InputStream` `createInputStream(URI uri)` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`protected Monitor` `createMonitor(Monitor monitor, int ticks)` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`java.io.OutputStream` `createOutputStream(URI uri)` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`EObject` `eObjectForURIFragmentSegment(java.lang.String uriFragmentSegment)` Returns the object resolved by the fragment segment.
`protected static java.lang.String` `escapeString(java.lang.String s, java.lang.String additionalCharactersToEscape)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`java.lang.String` `eURIFragmentSegment(EStructuralFeature eStructuralFeature, EObject eObject)` Returns the fragment segment that, when passed to `eObjectForURIFragmentSegment`, will resolve to the given object in this object's given feature.
`boolean` `exists(URI uri)` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`protected java.util.List<GenClass>` `filterGenClasses(java.util.List<GenClass> genClasses, GenBaseImpl.GenClassFilter filter)` Return all GenClasses in the specified genClasses list that are accepted by filter; all are accepted if filter is null.
`protected GenClass` `findGenClass(EClass eClass)`
`protected GenClassifier` `findGenClassifier(EClassifier eClassifier)`
`protected GenDataType` `findGenDataType(EDataType eDataType)`
`protected GenEnum` `findGenEnum(EEnum eEnum)`
`protected GenFeature` `findGenFeature(EStructuralFeature eStructuralFeature)`
`protected GenOperation` `findGenOperation(EOperation eOperation)`
`GenPackage` `findGenPackage(EPackage ePackage)`
`protected GenPackage` `findGenPackageHelper(GenPackage genPackage, EPackage ePackage)` Finds the GenPackage corresponding to the EPackage, taking into account any nested GenPackages.
`boolean` `findOrCreateContainer(Monitor progressMonitor, int style, java.util.List pluginVariables, URI outputURI, boolean forceStyle)` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`java.lang.String` `format(java.lang.String name, char separator, java.lang.String prefix, boolean includePrefix)` Deprecated. in 2.2. Please use `format(String, char, String, boolean, boolean)` instead.
`protected java.lang.String` `format(java.lang.String name, char separator, java.lang.String prefix, boolean includePrefix, boolean includeLeadingSeparator)`
`protected java.lang.String` `formatCode(java.lang.String contents, org.eclipse.jdt.core.formatter.CodeFormatter codeFormatter)` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`void` `gen(Monitor progressMonitor)` Deprecated. In EMF 2.2, a `Generator` should be used to generate code. This method will be removed after 2.2.
`void` `gen(Monitor progressMonitor, int style, java.util.List pluginVariables, java.lang.String targetDirectory, java.lang.String packageName, java.lang.String className, JETEmitter jetEmitter)` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`void` `genEdit(Monitor progressMonitor)` Deprecated. In EMF 2.2, a `Generator` should be used to generate code. This method will be removed after 2.2.
`void` `genEditor(Monitor progressMonitor)` Deprecated. In EMF 2.2, a `Generator` should be used to generate code. This method will be removed after 2.2.
`void` `generate(IProgressMonitor progressMonitor)` Deprecated. In EMF 2.2, a `Generator` should be used to generate code. This method will be removed after 2.2.
`void` `generate(Monitor progressMonitor)` Deprecated. In EMF 2.2, a `Generator` should be used to generate code. This method will be removed after 2.2.
`protected void` `generate(Monitor progressMonitor, int style, java.util.List pluginVariables, java.lang.String outputFilePath, GenBaseImpl.GIFEmitter gifEmitter, java.lang.String key)` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

`protected void`

`generate(Monitor progressMonitor, int style, java.util.List pluginVariables, java.lang.String outputFilePath, GenBaseImpl.GIFEmitter gifEmitter, java.lang.String parentKey, java.lang.String childKey)`
Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

`protected void` `generate(Monitor progressMonitor, int style, java.util.List pluginVariables, java.lang.String outputFilePath, JETEmitter jetEmitter)` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

`protected void`

`generate(Monitor progressMonitor, int style, java.util.List pluginVariables, java.lang.String targetDirectory, java.lang.String packageName, java.lang.String className, JETEmitter jetEmitter)`
Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

`protected void`

`generate(Monitor progressMonitor, int style, java.util.List pluginVariables, java.lang.String targetDirectory, java.lang.String packageName, java.lang.String className, JETEmitter jetEmitter, java.lang.Object[] arguments)`
Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

`void` `generateEdit(IProgressMonitor progressMonitor)` Deprecated. In EMF 2.2, a `Generator` should be used to generate code. This method will be removed after 2.2.
`void` `generateEdit(Monitor progressMonitor)` Deprecated. In EMF 2.2, a `Generator` should be used to generate code. This method will be removed after 2.2.
`void` `generateEditor(IProgressMonitor progressMonitor)` Deprecated. In EMF 2.2, a `Generator` should be used to generate code. This method will be removed after 2.2.
`void` `generateEditor(Monitor progressMonitor)` Deprecated. In EMF 2.2, a `Generator` should be used to generate code. This method will be removed after 2.2.
`void` `generateSchema(IProgressMonitor progressMonitor)` Deprecated. In EMF 2.2, schema generation is properly done via a model exporter. This method will be removed after 2.2.
`void` `generateSchema(Monitor progressMonitor)` Deprecated. In EMF 2.2, schema generation is properly done via a model exporter. This method will be removed after 2.2.
`void` `generateTests(IProgressMonitor progressMonitor)` Deprecated. In EMF 2.2, a `Generator` should be used to generate code. This method will be removed after 2.2.
`void` `generateTests(Monitor progressMonitor)` Deprecated. In EMF 2.2, a `Generator` should be used to generate code. This method will be removed after 2.2.
`void` `genSchema(Monitor progressMonitor)` Deprecated. In EMF 2.2, schema generation is properly done via a model exporter. This method will be removed after 2.2.
`void` `genTests(Monitor progressMonitor)` Deprecated. In EMF 2.2, a `Generator` should be used to generate code. This method will be removed after 2.2.
`protected java.util.List<GenPackage>` `getAllGenPackages()`
`protected java.util.List<java.lang.String>` `getAnnotationInfo(EModelElement eModelElement)`
`protected java.util.List<java.lang.String>` `getAnnotationInfo(EModelElement eModelElement, GenBaseImpl.AnnotationFilter annotationFilter)`
`protected EClassifier` `getBoundType(EGenericType eGenericType)`
`java.lang.String` `getContents(URI uri)` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`protected java.lang.String` `getCopyright(boolean includeGenModelCopyrightTextAsDefault)`
`java.lang.String` `getCopyright(java.lang.String indentation)`
`protected java.lang.String` `getDocumentation()`
`java.lang.String` `getDocumentation(java.lang.String indentation)`
`EModelElement` `getEcoreModelElement()`
`protected java.lang.String` `getEcoreType(EGenericType eGenericType)`
`protected GenJDKLevel` `getEffectiveComplianceLevel()`
`protected java.lang.String` `getEffectiveEObjectType()`
`protected java.lang.String` `getEffectiveFeatureMapWrapperInterface()`
`protected java.lang.String` `getEffectiveListType()`
`protected java.lang.String` `getEffectiveListType(GenClass context, EClassifier eType)`
`protected java.lang.String` `getEffectiveListType(GenClass context, EGenericType eGenericType)`
`protected java.lang.String` `getEffectiveMapEntryType()`
`protected java.lang.String` `getEffectiveMapEntryType(GenClass context, EGenericType eGenericType, GenClass genClass)`
`protected java.lang.String` `getEffectiveMapEntryType(GenClass context, GenClass genClass)`
`protected java.lang.String` `getEffectiveMapType()`
`protected java.lang.String` `getEffectiveMapType(GenClass context, EGenericType eGenericType, GenClass genClass)`
`protected java.lang.String` `getEffectiveMapType(GenClass context, GenClass genClass)`
`java.lang.String` `getEncoding(URI uri)` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`protected ExtendedMetaData` `getExtendedMetaData()`
`GenAnnotation` `getGenAnnotation(java.lang.String source)`
`EList<GenAnnotation>` `getGenAnnotations()`
`GenModel` `getGenModel()`
`protected java.lang.String` `getImplClassName(java.lang.String name)`
`protected java.lang.String` `getImportedEffectiveFeatureMapWrapperClass()`
`protected java.lang.String` `getImportedEffectiveFeatureMapWrapperInternalInterface()`
`protected java.lang.String` `getImportedType(GenClass context, EClassifier eType, boolean primitiveAsObject)` Returns the primitive or class name for the given EClassifier.
`protected java.lang.String` `getImportedType(GenClass context, EClassifier eType, boolean primitiveAsObject, boolean erased)`
`protected java.lang.String` `getImportedType(GenClass context, EGenericType eGenericType, boolean primitiveAsObject)` Returns the primitive or class name for the given EClassifier.
`protected ImportManager` `getImportManager()`
`protected java.lang.Class<?>` `getInstanceClass(EClassifier eType)`
`protected java.lang.String` `getInterfaceName(java.lang.String name)`
`protected static java.util.Set` `getJavaLangTypes()` Deprecated.
`protected static java.util.Set` `getJavaReservedWords()` Deprecated.
`protected GenModel` `getMainGenModel()`
`java.lang.String` `getModelInfo()`
`abstract java.lang.String` `getName()`
`protected java.lang.String` `getPrimitiveDefault(EClassifier eType)`
`protected java.lang.String` `getPrimitiveObjectType(EClassifier eType)`
`protected java.lang.String` `getType(GenClass context, EClassifier eType, boolean primitiveAsObject)` Returns the primitive or qualified class name for the given EClassifier.
`protected java.lang.String` `getType(GenClass context, EClassifier eType, boolean primitiveAsObject, boolean erased)`
`protected java.lang.String` `getType(GenClass context, EGenericType eGenericType, boolean primitiveAsObject)` Returns the primitive or qualified class name for the given EClassifier.
`protected java.lang.String` `getTypeArgument(GenClass context, EGenericType eGenericType, boolean isImported, boolean isErased)`
`protected java.lang.String` `getTypeArguments(GenClass context, java.util.List<EGenericType> typeArguments, boolean isImported)`

`protected java.util.List<GenClass>`

`getTypeGenClasses(EClassifier eType, GenPackage firstGenPackage, java.util.List<GenPackage> genPackages, int max)`
If eType is an EClass, returns the list of GenClasses representing its non-abstract subclasses, beginning with those from the specified firstGenPackage followed by the others in genPackages, and ordered down the inheritance chains within each package.

`boolean` `hasCopyright()`
`boolean` `hasDocumentation()`
`protected boolean` `hasModelContribution()`
`protected boolean` `hasReferenceToClassifierWithInstanceTypeName(EGenericType eGenericType)`
`protected boolean` `hasReferenceToClassifierWithInstanceTypeName(java.util.List<? extends EGenericType> eGenericTypes)`
`protected java.lang.String` `indent(java.lang.String text, java.lang.String indentation)`
`protected static boolean` `isBlank(java.lang.String string)`
`protected boolean` `isDerivedType(EDataType eDataType, java.lang.String baseNamespace, java.lang.String baseName, java.util.Collection<java.lang.String> baseNames)`
`protected boolean` `isEffectiveSuppressEMFTypes()`
`protected static boolean` `isJavaUtilMapEntry(java.lang.String name)`
`protected boolean` `isPrimitiveType(EClassifier eType)`
`boolean` `isReadOnly(URI uri)` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`protected boolean` `isRemappedXMLType(EClassifier eClassifier)`
`protected java.util.List` `parseName(java.lang.String sourceName, char sourceSeparator)` Deprecated. in 2.1.0. Use `CodeGenUtil.parseName(String, char)` instead.
`void` `reconcileGenAnnotations(GenBase oldGenBase)`
`java.lang.String` `safeName(java.lang.String name)`
`protected void` `setImportManager(ImportManager importManager)`
`void` `setOverwriteable(URI uri)` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`java.lang.String` `uncapName(java.lang.String name)`
`java.lang.String` `uncapPrefixedName(java.lang.String name)`
`java.lang.String` `uncapPrefixedName(java.lang.String name, boolean forceDifferent)`
`protected static java.lang.String` `unicodeEscapeEncode(java.lang.String unicode)` Deprecated. In EMF 2.2, this moved to `CodeGenUtil`. This copy will be removed after 2.2.

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenBase
`reconcile`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### genAnnotations

    protected EList<GenAnnotation> genAnnotations

  The cached value of the '`Gen Annotations`' containment reference list.

  See Also:
    `getGenAnnotations()`

### DEFAULT_ANNOTATION_FILTER

    protected static final GenBaseImpl.AnnotationFilter DEFAULT_ANNOTATION_FILTER

### PLATFORM_RESOURCE_URI

    @Deprecated
    protected static final URI PLATFORM_RESOURCE_URI

  Deprecated. in EMF 2.2

### EMPTY_URI

    @Deprecated
    protected static final URI EMPTY_URI

  Deprecated. in EMF 2.2

Constructor Detail

### GenBaseImpl

    protected GenBaseImpl()

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `EObjectImpl`

### getGenAnnotations

    public EList<GenAnnotation> getGenAnnotations()

  Specified by:
    `getGenAnnotations` in interface `GenBase`
  Returns:
    the value of the 'Gen Annotations' containment reference list.
  See Also:
    `GenModelPackage.getGenBase_GenAnnotations()`, `GenAnnotation.getGenBase()`

### getGenAnnotation

    public GenAnnotation getGenAnnotation(java.lang.String source)

  Specified by:
    `getGenAnnotation` in interface `GenBase`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `BasicEObjectImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `BasicEObjectImpl`
  See Also:
    `InternalEObject.eGet(EStructuralFeature, boolean, boolean)`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `BasicEObjectImpl`
  See Also:
    `EObject.eSet(EStructuralFeature, Object)`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `BasicEObjectImpl`
  See Also:
    `EObject.eUnset(EStructuralFeature)`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `BasicEObjectImpl`
  See Also:
    `EObject.eIsSet(EStructuralFeature)`

### getGenModel

    public GenModel getGenModel()

  Specified by:
    `getGenModel` in interface `GenBase`

### getName

    public abstract java.lang.String getName()

### capName

    public java.lang.String capName(java.lang.String name)

  Specified by:
    `capName` in interface `GenBase`

### uncapName

    public java.lang.String uncapName(java.lang.String name)

  Specified by:
    `uncapName` in interface `GenBase`

### uncapPrefixedName

    public java.lang.String uncapPrefixedName(java.lang.String name)

  Specified by:
    `uncapPrefixedName` in interface `GenBase`

### uncapPrefixedName

    public java.lang.String uncapPrefixedName(java.lang.String name,
                                              boolean forceDifferent)

### safeName

    public java.lang.String safeName(java.lang.String name)

  Specified by:
    `safeName` in interface `GenBase`

### getInterfaceName

    protected java.lang.String getInterfaceName(java.lang.String name)

  Since:
    2.5

### getImplClassName

    protected java.lang.String getImplClassName(java.lang.String name)

### canGenerate

    public boolean canGenerate()

  Specified by:
    `canGenerate` in interface `GenBase`

### hasModelContribution

    protected boolean hasModelContribution()

### generate

    @Deprecated
    public final void generate(IProgressMonitor progressMonitor)

  Deprecated. In EMF 2.2, a `Generator` should be used to generate code. This method will be removed after 2.2.

  Specified by:
    `generate` in interface `GenBase`

### gen

    @Deprecated
    public final void gen(Monitor progressMonitor)

  Deprecated. In EMF 2.2, a `Generator` should be used to generate code. This method will be removed after 2.2.

  Specified by:
    `gen` in interface `GenBase`

### generate

    @Deprecated
    public void generate(Monitor progressMonitor)

  Deprecated. In EMF 2.2, a `Generator` should be used to generate code. This method will be removed after 2.2.

  Specified by:
    `generate` in interface `GenBase`

### generate

    @Deprecated
    protected void generate(Monitor progressMonitor,
                                       int style,
                                       java.util.List pluginVariables,
                                       java.lang.String outputFilePath,
                                       JETEmitter jetEmitter)

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

### createMonitor

    @Deprecated
    protected Monitor createMonitor(Monitor monitor,
                                               int ticks)

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

### generate

    @Deprecated
    protected void generate(Monitor progressMonitor,
                                       int style,
                                       java.util.List pluginVariables,
                                       java.lang.String outputFilePath,
                                       GenBaseImpl.GIFEmitter gifEmitter,
                                       java.lang.String key)

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

### generate

    @Deprecated
    protected void generate(Monitor progressMonitor,
                                       int style,
                                       java.util.List pluginVariables,
                                       java.lang.String outputFilePath,
                                       GenBaseImpl.GIFEmitter gifEmitter,
                                       java.lang.String parentKey,
                                       java.lang.String childKey)

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

### gen

    @Deprecated
    public void gen(Monitor progressMonitor,
                               int style,
                               java.util.List pluginVariables,
                               java.lang.String targetDirectory,
                               java.lang.String packageName,
                               java.lang.String className,
                               JETEmitter jetEmitter)

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

### generate

    @Deprecated
    protected void generate(Monitor progressMonitor,
                                       int style,
                                       java.util.List pluginVariables,
                                       java.lang.String targetDirectory,
                                       java.lang.String packageName,
                                       java.lang.String className,
                                       JETEmitter jetEmitter)

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

### generate

    @Deprecated
    protected void generate(Monitor progressMonitor,
                                       int style,
                                       java.util.List pluginVariables,
                                       java.lang.String targetDirectory,
                                       java.lang.String packageName,
                                       java.lang.String className,
                                       JETEmitter jetEmitter,
                                       java.lang.Object[] arguments)

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

### getImportManager

    protected ImportManager getImportManager()

### setImportManager

    protected void setImportManager(ImportManager importManager)

### formatCode

    @Deprecated
    protected java.lang.String formatCode(java.lang.String contents,
                                                     org.eclipse.jdt.core.formatter.CodeFormatter codeFormatter)

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

### format

    @Deprecated
    public java.lang.String format(java.lang.String name,
                                              char separator,
                                              java.lang.String prefix,
                                              boolean includePrefix)

  Deprecated. in 2.2. Please use `format(String, char, String, boolean, boolean)` instead.

  Specified by:
    `format` in interface `GenBase`

### format

    protected java.lang.String format(java.lang.String name,
                                      char separator,
                                      java.lang.String prefix,
                                      boolean includePrefix,
                                      boolean includeLeadingSeparator)

  Since:
    2.2.

### parseName

    @Deprecated
    protected final java.util.List parseName(java.lang.String sourceName,
                                                        char sourceSeparator)

  Deprecated. in 2.1.0. Use `CodeGenUtil.parseName(String, char)` instead.

  This method was used to break sourceName into words delimited by sourceSeparator and/or mixed-case naming. Now, it simply returns an empty list.

### getAllGenPackages

    protected java.util.List<GenPackage> getAllGenPackages()

### findGenPackageHelper

    protected GenPackage findGenPackageHelper(GenPackage genPackage,
                                              EPackage ePackage)

  Finds the GenPackage corresponding to the EPackage, taking into account any nested GenPackages.

### findGenPackage

    public GenPackage findGenPackage(EPackage ePackage)

### findGenClass

    protected GenClass findGenClass(EClass eClass)

### findGenEnum

    protected GenEnum findGenEnum(EEnum eEnum)

### findGenDataType

    protected GenDataType findGenDataType(EDataType eDataType)

### findGenClassifier

    protected GenClassifier findGenClassifier(EClassifier eClassifier)

### findGenFeature

    protected GenFeature findGenFeature(EStructuralFeature eStructuralFeature)

### findGenOperation

    protected GenOperation findGenOperation(EOperation eOperation)

### getEffectiveComplianceLevel

    protected GenJDKLevel getEffectiveComplianceLevel()

### isEffectiveSuppressEMFTypes

    protected boolean isEffectiveSuppressEMFTypes()

### getEffectiveMapType

    protected java.lang.String getEffectiveMapType(GenClass context,
                                                   EGenericType eGenericType,
                                                   GenClass genClass)

### getEffectiveMapType

    protected java.lang.String getEffectiveMapType(GenClass context,
                                                   GenClass genClass)

### getEffectiveMapType

    protected java.lang.String getEffectiveMapType()

### getEffectiveMapEntryType

    protected java.lang.String getEffectiveMapEntryType(GenClass context,
                                                        EGenericType eGenericType,
                                                        GenClass genClass)

### getEffectiveMapEntryType

    protected java.lang.String getEffectiveMapEntryType(GenClass context,
                                                        GenClass genClass)

### getEffectiveMapEntryType

    protected java.lang.String getEffectiveMapEntryType()

### getEffectiveListType

    protected java.lang.String getEffectiveListType(GenClass context,
                                                    EGenericType eGenericType)

### getEffectiveListType

    protected java.lang.String getEffectiveListType(GenClass context,
                                                    EClassifier eType)

### getEffectiveListType

    protected java.lang.String getEffectiveListType()

### getEffectiveEObjectType

    protected java.lang.String getEffectiveEObjectType()

### getEffectiveFeatureMapWrapperInterface

    protected java.lang.String getEffectiveFeatureMapWrapperInterface()

### getImportedEffectiveFeatureMapWrapperInternalInterface

    protected java.lang.String getImportedEffectiveFeatureMapWrapperInternalInterface()

### getImportedEffectiveFeatureMapWrapperClass

    protected java.lang.String getImportedEffectiveFeatureMapWrapperClass()

### getInstanceClass

    protected java.lang.Class<?> getInstanceClass(EClassifier eType)

### isPrimitiveType

    protected boolean isPrimitiveType(EClassifier eType)

### getPrimitiveObjectType

    protected java.lang.String getPrimitiveObjectType(EClassifier eType)

### getPrimitiveDefault

    protected java.lang.String getPrimitiveDefault(EClassifier eType)

### hasReferenceToClassifierWithInstanceTypeName

    protected boolean hasReferenceToClassifierWithInstanceTypeName(java.util.List<? extends EGenericType> eGenericTypes)

### hasReferenceToClassifierWithInstanceTypeName

    protected boolean hasReferenceToClassifierWithInstanceTypeName(EGenericType eGenericType)

### getEcoreType

    protected java.lang.String getEcoreType(EGenericType eGenericType)

### getType

    protected java.lang.String getType(GenClass context,
                                       EClassifier eType,
                                       boolean primitiveAsObject)

  Returns the primitive or qualified class name for the given EClassifier. If primitiveAsObject is true, wrapper object names will be returned instead of primitive names (e.g. java.lang.Integer instead of int).

### getType

    protected java.lang.String getType(GenClass context,
                                       EClassifier eType,
                                       boolean primitiveAsObject,
                                       boolean erased)

### getImportedType

    protected java.lang.String getImportedType(GenClass context,
                                               EGenericType eGenericType,
                                               boolean primitiveAsObject)

  Returns the primitive or class name for the given EClassifier. Class names will be added as imports to the GenModel's ImportManager, and the imported form will be returned. If primitiveAsObject is true, wrapper object names will be returned instead of primitive names (e.g. Integer instead of int).

### getType

    protected java.lang.String getType(GenClass context,
                                       EGenericType eGenericType,
                                       boolean primitiveAsObject)

  Returns the primitive or qualified class name for the given EClassifier. If primitiveAsObject is true, wrapper object names will be returned instead of primitive names (e.g. java.lang.Integer instead of int).

### getImportedType

    protected java.lang.String getImportedType(GenClass context,
                                               EClassifier eType,
                                               boolean primitiveAsObject)

  Returns the primitive or class name for the given EClassifier. Class names will be added as imports to the GenModel's ImportManager, and the imported form will be returned. If primitiveAsObject is true, wrapper object names will be returned instead of primitive names (e.g. Integer instead of int).

### getImportedType

    protected java.lang.String getImportedType(GenClass context,
                                               EClassifier eType,
                                               boolean primitiveAsObject,
                                               boolean erased)

### getTypeGenClasses

    protected java.util.List<GenClass> getTypeGenClasses(EClassifier eType,
                                                         GenPackage firstGenPackage,
                                                         java.util.List<GenPackage> genPackages,
                                                         int max)

  If eType is an EClass, returns the list of GenClasses representing its non-abstract subclasses, beginning with those from the specified firstGenPackage followed by the others in genPackages, and ordered down the inheritance chains within each package. Stops searching after max GenClasses are found; -1 for no limit. If eType corresponds to an anonymous complex type, only that class itself is returned; otherwise, no such anonymous classes are included.

### getJavaReservedWords

    @Deprecated
    protected static java.util.Set getJavaReservedWords()

  Deprecated.

  Returns a hash of all Java's keywords and textual literals, as of Java 1.4.

### getJavaLangTypes

    @Deprecated
    protected static java.util.Set getJavaLangTypes()

  Deprecated.

### filterGenClasses

    protected java.util.List<GenClass> filterGenClasses(java.util.List<GenClass> genClasses,
                                                        GenBaseImpl.GenClassFilter filter)

  Return all GenClasses in the specified genClasses list that are accepted by filter; all are accepted if filter is null.

### collectGenClasses

    protected java.util.List<GenClass> collectGenClasses(java.util.List<EClass> eClasses,
                                                         GenBaseImpl.GenClassFilter filter)

  Iterate over the specified eClasses list, finding the GenClass corresponding to each EClass. Return all such GenClasses if filter is null, or those accepted by filter, otherwise.

### collectGenFeatures

    protected java.util.List<GenFeature> collectGenFeatures(java.util.List<GenClass> genClasses,
                                                            java.util.List<GenFeature> genFeatures,
                                                            GenBaseImpl.GenFeatureFilter filter)

  Iterate over the lists returned by calling getGenFeatures() on items in the list of genClasses, and then over the list of genFeatures. Return all such GenFeatures if filter is null, or those accepted by filter, otherwise. Either list argument is ignored if it is null.

### collectGenOperations

    protected java.util.List<GenOperation> collectGenOperations(GenClass context,
                                                                java.util.List<GenClass> genClasses,
                                                                java.util.List<GenOperation> genOperations,
                                                                GenBaseImpl.GenOperationFilter filter)

  Iterate over the lists returned by calling getGenOperations() on items in the list of genClasses, and then over the list of genOperations. Return all such GenOperations if filter is null, or those accepted by filter, otherwise. Either list argument is ignored if it is null.

### collectGenConstraints

    protected java.util.List<java.lang.String> collectGenConstraints(java.util.List<? extends GenClassifier> genClassifiers,
                                                                     java.util.List<java.lang.String> genConstraints,
                                                                     GenBaseImpl.GenConstraintFilter filter)

  Iterate over the lists returned by calling getGenConstraints() on items in the list of genClassifiers, and then over the list of genConstraints. Return all such constraint if filter is null, or those accepted by filter, otherwise. Either list argument is ignored if it is null.

### getModelInfo

    public java.lang.String getModelInfo()

### getAnnotationInfo

    protected java.util.List<java.lang.String> getAnnotationInfo(EModelElement eModelElement)

### getAnnotationInfo

    protected java.util.List<java.lang.String> getAnnotationInfo(EModelElement eModelElement,
                                                                 GenBaseImpl.AnnotationFilter annotationFilter)

### appendAnnotationInfo

    protected void appendAnnotationInfo(java.lang.StringBuffer result,
                                        EModelElement eModelElement)

### appendAnnotationInfo

    protected void appendAnnotationInfo(java.lang.StringBuffer result,
                                        EModelElement eModelElement,
                                        GenBaseImpl.AnnotationFilter annotationFilter)

### appendAnnotationInfo

    protected void appendAnnotationInfo(java.lang.StringBuffer result,
                                        boolean qualified,
                                        EModelElement eModelElement,
                                        GenBaseImpl.AnnotationFilter annotationFilter)

### escapeString

    protected static java.lang.String escapeString(java.lang.String s,
                                                   java.lang.String additionalCharactersToEscape)

### appendLineBreak

    protected void appendLineBreak(java.lang.StringBuffer result)

### appendModelSetting

    protected void appendModelSetting(java.lang.StringBuffer result,
                                      java.lang.String qualifier,
                                      java.lang.String name,
                                      java.lang.String value)

### appendModelSetting

    protected void appendModelSetting(java.lang.StringBuffer result,
                                      java.lang.String name,
                                      java.lang.String value)

### isJavaUtilMapEntry

    protected static boolean isJavaUtilMapEntry(java.lang.String name)

### isBlank

    protected static boolean isBlank(java.lang.String string)

### canGenerateEdit

    public boolean canGenerateEdit()

  Specified by:
    `canGenerateEdit` in interface `GenBase`

### generateEdit

    @Deprecated
    public final void generateEdit(IProgressMonitor progressMonitor)

  Deprecated. In EMF 2.2, a `Generator` should be used to generate code. This method will be removed after 2.2.

  Specified by:
    `generateEdit` in interface `GenBase`

### genEdit

    @Deprecated
    public final void genEdit(Monitor progressMonitor)

  Deprecated. In EMF 2.2, a `Generator` should be used to generate code. This method will be removed after 2.2.

  Specified by:
    `genEdit` in interface `GenBase`

### generateEdit

    @Deprecated
    public void generateEdit(Monitor progressMonitor)

  Deprecated. In EMF 2.2, a `Generator` should be used to generate code. This method will be removed after 2.2.

  Specified by:
    `generateEdit` in interface `GenBase`

### canGenerateEditor

    public boolean canGenerateEditor()

  Specified by:
    `canGenerateEditor` in interface `GenBase`

### generateEditor

    @Deprecated
    public final void generateEditor(IProgressMonitor progressMonitor)

  Deprecated. In EMF 2.2, a `Generator` should be used to generate code. This method will be removed after 2.2.

  Specified by:
    `generateEditor` in interface `GenBase`

### genEditor

    @Deprecated
    public final void genEditor(Monitor progressMonitor)

  Deprecated. In EMF 2.2, a `Generator` should be used to generate code. This method will be removed after 2.2.

  Specified by:
    `genEditor` in interface `GenBase`

### generateEditor

    @Deprecated
    public void generateEditor(Monitor progressMonitor)

  Deprecated. In EMF 2.2, a `Generator` should be used to generate code. This method will be removed after 2.2.

  Specified by:
    `generateEditor` in interface `GenBase`

### canGenerateSchema

    @Deprecated
    public boolean canGenerateSchema()

  Deprecated. In EMF 2.2, schema generation is properly done via a model exporter. This method will be removed after 2.2.

  Specified by:
    `canGenerateSchema` in interface `GenBase`

### generateSchema

    @Deprecated
    public final void generateSchema(IProgressMonitor progressMonitor)

  Deprecated. In EMF 2.2, schema generation is properly done via a model exporter. This method will be removed after 2.2.

  Specified by:
    `generateSchema` in interface `GenBase`

### genSchema

    @Deprecated
    public final void genSchema(Monitor progressMonitor)

  Deprecated. In EMF 2.2, schema generation is properly done via a model exporter. This method will be removed after 2.2.

  Specified by:
    `genSchema` in interface `GenBase`

### generateSchema

    @Deprecated
    public void generateSchema(Monitor progressMonitor)

  Deprecated. In EMF 2.2, schema generation is properly done via a model exporter. This method will be removed after 2.2.

  Specified by:
    `generateSchema` in interface `GenBase`

### canGenerateTests

    public boolean canGenerateTests()

  Specified by:
    `canGenerateTests` in interface `GenBase`

### generateTests

    @Deprecated
    public final void generateTests(IProgressMonitor progressMonitor)

  Deprecated. In EMF 2.2, a `Generator` should be used to generate code. This method will be removed after 2.2.

  Specified by:
    `generateTests` in interface `GenBase`

### genTests

    @Deprecated
    public final void genTests(Monitor progressMonitor)

  Deprecated. In EMF 2.2, a `Generator` should be used to generate code. This method will be removed after 2.2.

  Specified by:
    `genTests` in interface `GenBase`

### generateTests

    @Deprecated
    public void generateTests(Monitor progressMonitor)

  Deprecated. In EMF 2.2, a `Generator` should be used to generate code. This method will be removed after 2.2.

  Specified by:
    `generateTests` in interface `GenBase`

### eURIFragmentSegment

    public java.lang.String eURIFragmentSegment(EStructuralFeature eStructuralFeature,
                                                EObject eObject)

  Description copied from interface: `InternalEObject`
  Returns the fragment segment that, when passed to `eObjectForURIFragmentSegment`, will resolve to the given object in this object's given feature.

  The feature argument may be `null` in which case it will be deduced, if possible. The default result will be of the form:

        "@<feature-name>[.<index>]"

  The index is used only for `many-valued` features; it represents the position within the list.

  Specified by:
    `eURIFragmentSegment` in interface `InternalEObject`
  Overrides:
    `eURIFragmentSegment` in class `BasicEObjectImpl`
  Parameters:
    `eStructuralFeature` - the feature relating the given object to this object, or `null`.
    `eObject` - the object to be identified.
  Returns:
    the fragment segment that resolves to the given object in this object's given feature.

### eObjectForURIFragmentSegment

    public EObject eObjectForURIFragmentSegment(java.lang.String uriFragmentSegment)

  Description copied from interface: `InternalEObject`
  Returns the object resolved by the fragment segment.

  The fragment segment encoding will typically be of the form returned by `eURIFragmentSegment`.

  Specified by:
    `eObjectForURIFragmentSegment` in interface `InternalEObject`
  Overrides:
    `eObjectForURIFragmentSegment` in class `BasicEObjectImpl`
  Parameters:
    `uriFragmentSegment` - a fragment segment.
  Returns:
    the fragment segment that resolves to the given object in this object's given feature.

### unicodeEscapeEncode

    @Deprecated
    protected static java.lang.String unicodeEscapeEncode(java.lang.String unicode)

  Deprecated. In EMF 2.2, this moved to `CodeGenUtil`. This copy will be removed after 2.2.

### getDocumentation

    protected java.lang.String getDocumentation()

### hasDocumentation

    public boolean hasDocumentation()

  Specified by:
    `hasDocumentation` in interface `GenBase`

### getDocumentation

    public java.lang.String getDocumentation(java.lang.String indentation)

  Specified by:
    `getDocumentation` in interface `GenBase`

### getCopyright

    protected java.lang.String getCopyright(boolean includeGenModelCopyrightTextAsDefault)

### hasCopyright

    public boolean hasCopyright()

  Specified by:
    `hasCopyright` in interface `GenBase`

### getCopyright

    public java.lang.String getCopyright(java.lang.String indentation)

  Specified by:
    `getCopyright` in interface `GenBase`

### indent

    protected java.lang.String indent(java.lang.String text,
                                      java.lang.String indentation)

### getExtendedMetaData

    protected ExtendedMetaData getExtendedMetaData()

### addNonDuplicates

    protected <T> void addNonDuplicates(java.util.Collection<T> target,
                                        java.util.Collection<? extends T> source,
                                        java.util.Set<T> noDupSet)

### findOrCreateContainer

    @Deprecated
    public boolean findOrCreateContainer(Monitor progressMonitor,
                                                    int style,
                                                    java.util.List pluginVariables,
                                                    URI outputURI,
                                                    boolean forceStyle)

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

### exists

    @Deprecated
    public boolean exists(URI uri)

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

### isReadOnly

    @Deprecated
    public boolean isReadOnly(URI uri)

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

### createInputStream

    @Deprecated
    public java.io.InputStream createInputStream(URI uri)
                                          throws java.lang.Exception

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

  Throws:
    `java.lang.Exception`

### createOutputStream

    @Deprecated
    public java.io.OutputStream createOutputStream(URI uri)
                                            throws java.lang.Exception

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

  Throws:
    `java.lang.Exception`

### getContents

    @Deprecated
    public java.lang.String getContents(URI uri)
                                 throws java.lang.Exception

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

  Throws:
    `java.lang.Exception`

### getEncoding

    @Deprecated
    public java.lang.String getEncoding(URI uri)

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

### setOverwriteable

    @Deprecated
    public void setOverwriteable(URI uri)
                          throws java.lang.Exception

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

  Throws:
    `java.lang.Exception`

### getEcoreModelElement

    public EModelElement getEcoreModelElement()

  Specified by:
    `getEcoreModelElement` in interface `GenBase`

### reconcileGenAnnotations

    public void reconcileGenAnnotations(GenBase oldGenBase)

### getTypeArguments

    protected java.lang.String getTypeArguments(GenClass context,
                                                java.util.List<EGenericType> typeArguments,
                                                boolean isImported)

### getBoundType

    protected EClassifier getBoundType(EGenericType eGenericType)

### getTypeArgument

    protected java.lang.String getTypeArgument(GenClass context,
                                               EGenericType eGenericType,
                                               boolean isImported,
                                               boolean isErased)

### getMainGenModel

    protected GenModel getMainGenModel()

### isDerivedType

    protected boolean isDerivedType(EDataType eDataType,
                                    java.lang.String baseNamespace,
                                    java.lang.String baseName,
                                    java.util.Collection<java.lang.String> baseNames)

### isRemappedXMLType

    protected boolean isRemappedXMLType(EClassifier eClassifier)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.